org.wildfly.swarm.ejb

## Class EJBFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.EJB3<EJBFraction>
      - - org.wildfly.swarm.ejb.EJBFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<EJBFraction>

      public class EJBFraction
      extends EJB3<EJBFraction>
      implements Fraction<EJBFraction>

  Author:
    Ken Finnigan, Lance Ball
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.EJB3

      `EJB3.EJB3Resources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJBFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EJBFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static EJBFraction` | `createDefaultFraction()`
    `void` | `postConstruct()`

    - ### Methods inherited from class org.wildfly.swarm.config.EJB3

      `addPropertyChangeListener, asyncService, asyncService, asyncService, asyncService, cache, cache, cache, cache, caches, clusterPassivationStore, clusterPassivationStore, clusterPassivationStore, clusterPassivationStore, clusterPassivationStores, defaultDistinctName, defaultDistinctName, defaultEntityBeanInstancePool, defaultEntityBeanInstancePool, defaultEntityBeanOptimisticLocking, defaultEntityBeanOptimisticLocking, defaultMdbInstancePool, defaultMdbInstancePool, defaultMissingMethodPermissionsDenyAccess, defaultMissingMethodPermissionsDenyAccess, defaultResourceAdapterName, defaultResourceAdapterName, defaultSecurityDomain, defaultSecurityDomain, defaultSfsbCache, defaultSfsbCache, defaultSfsbPassivationDisabledCache, defaultSfsbPassivationDisabledCache, defaultSingletonBeanAccessTimeout, defaultSingletonBeanAccessTimeout, defaultSlsbInstancePool, defaultSlsbInstancePool, defaultStatefulBeanAccessTimeout, defaultStatefulBeanAccessTimeout, enableStatistics, enableStatistics, filePassivationStore, filePassivationStore, filePassivationStore, filePassivationStore, filePassivationStores, getKey, iiopService, iiopService, iiopService, iiopService, inVmRemoteInterfaceInvocationPassByValue, inVmRemoteInterfaceInvocationPassByValue, logSystemExceptions, logSystemExceptions, mdbDeliveryGroup, mdbDeliveryGroup, mdbDeliveryGroup, mdbDeliveryGroup, mdbDeliveryGroups, passivationStore, passivationStore, passivationStore, passivationStore, passivationStores, remoteService, remoteService, remoteService, remoteService, remotingProfile, remotingProfile, remotingProfile, remotingProfile, remotingProfiles, removePropertyChangeListener, strictMaxBeanInstancePool, strictMaxBeanInstancePool, strictMaxBeanInstancePool, strictMaxBeanInstancePool, strictMaxBeanInstancePools, subresources, threadPool, threadPool, threadPool, threadPool, threadPools, timerService, timerService, timerService, timerService`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EJBFraction

          public EJBFraction()

  - ### Method Detail

    - #### postConstruct

          @PostConstruct
          public void postConstruct()

    - #### createDefaultFraction

          public static EJBFraction createDefaultFraction()

    - #### applyDefaults

          public EJBFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<EJBFraction>`
      Returns:
        this fraction.

Copyright © 2017 JBoss by Red Hat. All rights reserved.